<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormViewWithSubviewsEditor class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormViewWithSubviewsEditor">GormViewWithSubviewsEditor class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">
        Software documentation for the
        GormViewWithSubviewsEditor class
      </a></h1>
    <h2><a name="class$GormViewWithSubviewsEditor">GormViewWithSubviewsEditor</a> : <a rel="gsdoc" href="GormViewEditor.html#class$GormViewEditor">GormViewEditor</a></h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormViewWithSubviewsEditor.h</dd>
      </dl>
    </blockquote>
    <blockquote>
      <dl>
        <dt><b>Conforms to:</b></dt>
        <dd>IBSelectionOwners</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_GormViewWithSubviewsEditor_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormViewWithSubviewsEditor.html#method$GormViewWithSubviewsEditor-changeFont$">-changeFont:</a></li>
      <li><a rel="gsdoc" href="GormViewWithSubviewsEditor.html#method$GormViewWithSubviewsEditor-closeSubeditors">-closeSubeditors</a></li>
      <li><a rel="gsdoc" href="GormViewWithSubviewsEditor.html#method$GormViewWithSubviewsEditor-copySelection">-copySelection</a></li>
      <li><a rel="gsdoc" href="GormViewWithSubviewsEditor.html#method$GormViewWithSubviewsEditor-deactivateSubeditors">-deactivateSubeditors</a></li>
      <li><a rel="gsdoc" href="GormViewWithSubviewsEditor.html#method$GormViewWithSubviewsEditor-handleMouseOnKnob$ofView$withEvent$">-handleMouseOnKnob:ofView:withEvent:</a></li>
      <li><a rel="gsdoc" href="GormViewWithSubviewsEditor.html#method$GormViewWithSubviewsEditor-handleMouseOnView$withEvent$">-handleMouseOnView:withEvent:</a></li>
      <li><a rel="gsdoc" href="GormViewWithSubviewsEditor.html#method$GormViewWithSubviewsEditor-makeSubeditorResign">-makeSubeditorResign</a></li>
      <li><a rel="gsdoc" href="GormViewWithSubviewsEditor.html#method$GormViewWithSubviewsEditor-openParentEditor">-openParentEditor</a></li>
      <li><a rel="gsdoc" href="GormViewWithSubviewsEditor.html#method$GormViewWithSubviewsEditor-selectObjects$">-selectObjects:</a></li>
      <li><a rel="gsdoc" href="GormViewWithSubviewsEditor.html#method$GormViewWithSubviewsEditor-setOpenedSubeditor$">-setOpenedSubeditor:</a></li>
      <li><a rel="gsdoc" href="GormViewWithSubviewsEditor.html#method$GormViewWithSubviewsEditor-silentlyResetSelection">-silentlyResetSelection</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormViewWithSubviewsEditor-changeFont$">changeFont:&nbsp;</a></h3>
    - (void) <b>changeFont:</b> (id)sender;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewWithSubviewsEditor-closeSubeditors">closeSubeditors&nbsp;</a></h3>
    - (void) <b>closeSubeditors</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewWithSubviewsEditor-copySelection">copySelection&nbsp;</a></h3>
    - (void) <b>copySelection</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewWithSubviewsEditor-deactivateSubeditors">deactivateSubeditors&nbsp;</a></h3>
    - (void) <b>deactivateSubeditors</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewWithSubviewsEditor-handleMouseOnKnob$ofView$withEvent$">handleMouseOnKnob:&nbsp;ofView:&nbsp;withEvent:&nbsp;</a></h3>
    - (void) <b>handleMouseOnKnob:</b> (IBKnobPosition)knob<b> ofView:</b> (<a rel="gsdoc" href="GormViewEditor.html#class$GormViewEditor">GormViewEditor</a>*)view<b> withEvent:</b> (NSEvent*)theEvent;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewWithSubviewsEditor-handleMouseOnView$withEvent$">handleMouseOnView:&nbsp;withEvent:&nbsp;</a></h3>
    - (void) <b>handleMouseOnView:</b> (<a rel="gsdoc" href="GormViewEditor.html#class$GormViewEditor">GormViewEditor</a>*)view<b> withEvent:</b> (NSEvent*)theEvent;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewWithSubviewsEditor-makeSubeditorResign">makeSubeditorResign&nbsp;</a></h3>
    - (void) <b>makeSubeditorResign</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewWithSubviewsEditor-openParentEditor">openParentEditor&nbsp;</a></h3>
    - (void) <b>openParentEditor</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewWithSubviewsEditor-selectObjects$">selectObjects:&nbsp;</a></h3>
    - (void) <b>selectObjects:</b> (NSArray*)objects;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewWithSubviewsEditor-setOpenedSubeditor$">setOpenedSubeditor:&nbsp;</a></h3>
    - (void) <b>setOpenedSubeditor:</b> (<a rel="gsdoc" href="#class$GormViewWithSubviewsEditor">GormViewWithSubviewsEditor</a>*)newEditor;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormViewWithSubviewsEditor-silentlyResetSelection">silentlyResetSelection&nbsp;</a></h3>
    - (void) <b>silentlyResetSelection</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_GormViewWithSubviewsEditor_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for GormViewWithSubviewsEditor Class</h2>
    <h3><a name="ivariable$GormViewWithSubviewsEditor*_displaySelection">_displaySelection</a></h3>
    @protected BOOL <b>_displaySelection</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this instance variable indicates that, even
            though it is not technically <em>private</em>, it is
            intended for internal use within the package, and
            you should not use the variable in other code.
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormViewWithSubviewsEditor*_followGuideLine">_followGuideLine</a></h3>
    @protected BOOL <b>_followGuideLine</b>;<br />
    <div class="desc">
      
            <em>Warning</em> the underscore at the start of the
            name of this instance variable indicates that, even
            though it is not technically <em>private</em>, it is
            intended for internal use within the package, and
            you should not use the variable in other code.
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormViewWithSubviewsEditor*opened">opened</a></h3>
    @protected BOOL <b>opened</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormViewWithSubviewsEditor*openedSubeditor">openedSubeditor</a></h3>
    @protected GormViewWithSubviewsEditor* <b>openedSubeditor</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormViewWithSubviewsEditor*selection">selection</a></h3>
    @protected NSMutableArray* <b>selection</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>
    <br />
    </font>
</body>
</html>
